<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
<?php
// genereal setting start
$cs_style_sheet = '';
	$cs_gs_color_style = get_option( "cs_gs_color_style" );
		if ( $cs_gs_color_style <> "" ) {
			$sxe = new SimpleXMLElement($cs_gs_color_style);
				$cs_color_scheme = $sxe->cs_color_scheme;
				$cs_style_sheet = $sxe->cs_style_sheet;
		}
	$cs_gs_logo = get_option( "cs_gs_logo" );
		if ( $cs_gs_logo <> "" ) {
			$sxe = new SimpleXMLElement($cs_gs_logo);
				$cs_logo = $sxe->cs_logo;
				$cs_width = $sxe->cs_width;
				$cs_height = $sxe->cs_height;
		}
	$cs_gs_header_script = get_option( "cs_gs_header_script" );
		if ( $cs_gs_header_script <> "" ) {
			$sxe = new SimpleXMLElement($cs_gs_header_script);
				echo $sxe->cs_header_code;
				$cs_fav_icon = $sxe->cs_fav_icon;
		}

// genereal setting end
	$color_picker_enable = 0;
	if ( isset($_POST['color_picker']) ) {
		$_SESSION['color_picker_sess'] = $_POST['color_picker'];
		$cs_color_scheme = $_SESSION['color_picker_sess'];
		$color_picker_enable = 1;
	}
	else if ( isset($_SESSION['color_picker_sess']) ) {
		$cs_color_scheme = $_SESSION['color_picker_sess'];
		$color_picker_enable = 1;
	}
?>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- Mobile Specific Metas
================================================== -->
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>
<?php
	global $page, $paged;
	wp_title( '|', true, 'right' );

	bloginfo( 'name' );

	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'rockit' ), max( $paged, $page ) );

?>
    </title>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/base.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/layout.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/player.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/prettyPhoto.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/skeleton.css" />
<!--[if lt IE 9]>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<!--// Javascript //-->

<?php 
if ( is_singular() && get_option( 'thread_comments' ) ) 	wp_enqueue_script( 'comment-reply' );
wp_head();

?>
    <!-- RTL style sheet start -->
    <?php
    if ( get_option("lang_style") == "rtl" ){
    ?>
        <link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/rtl.css" />
    <?php
    }
    ?>
    <!-- RTL style sheet end -->

<!--// Favicons //-->
<link rel="shortcut icon" href="<?php echo $cs_fav_icon?>" />

<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/jquery-1.7.2.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/frontend/jquery.prettyPhoto.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/frontend/lightbox.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/frontend/jquery.countdown.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/frontend/scrolltopcontrol.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/scripts/jquery.easing.1.3.js"></script>

<?php if ( file_exists(TEMPLATEPATH."/color_picker/inc_color_picker.php") ) include_once("color_picker/inc_color_picker.php")?>

<?php
if ( $cs_style_sheet == "custom" or $color_picker_enable == 1 ) {
?>
	<style>
		.colr, 
		.navigation a:focus, 
		.navigation li:hover > a,
		.navigation ul ul :hover > a,
		.navigation .current-menu-item > a,
		.navigation .current_page_item > a,
		.links-foot ul li a:hover,
		.fc-event-inner:hover span,
		.top-links li a:hover
		{color:<?php echo $cs_color_scheme?>;}
		
		#login-box, 
		.navigation a:focus, 
		.navigation li:hover > a,
		.navigation ul ul :hover > a,
		.navigation .current-menu-item > a,
		.navigation .current_page_item > a,
		.gal-caption,
		.tab-section .tab-head ul li a:hover, 
		.tab-section .tab-head ul li a.current
		 {border-color:<?php echo $cs_color_scheme?>;}
		
		.backcolr, 
		.nivo-prevNav:hover, 
		.nivo-nextNav:hover,
		.anythingSlider-default .arrow:hover,
		#controls a:hover,
		.second-nav ul li.current_page_item a,
		.second-nav ul li a:hover,
		#wp-calendar caption,
		.fourofuor,
		#wp-calendar tbody td a:hover
		{background-color:<?php echo $cs_color_scheme?>;}
	</style>
<?php
}
else if ( $cs_style_sheet <> "custom" ) {
?>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/custom_styles/<?php echo $cs_style_sheet?>.css" />
<?php
}
?>

<script type="text/javascript">
function cs_amimate(id){
	$("#"+id).animate({
		height: 'toggle'
		}, 200, function() {
		// Animation complete.
	});
}

</script>

</head>
<body <?php body_class( ); ?>>

<!-- Outer Wrapper Start -->
<div id="outer-wrapper">
	<div class="inner shadow">
    	<!-- Header Start -->
    	<div id="header">
        	<span class="topbar">&nbsp;</span>
        	<!-- Container Start -->
            <div class="container">
            	<!-- Logo Start -->
            	<a href="<?php echo home_url() ; ?>" class="logo">
                	<img src="<?php echo $cs_logo?>" alt="<?php echo bloginfo( 'name' )?>" width="<?php echo $cs_width?>px" height="<?php echo $cs_height?>px"/>
                </a>
                <!-- Logo End -->
                <div class="sixteen columns right">
                	<!-- Top Links Start -->
                    <ul class="top-links">
                        	<?php  if ( is_user_logged_in() ) { ?>
                                <li><a href="<?php echo wp_logout_url("http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']); ?>">logout</a></li>
                                <li>
                                	<a href="<?php echo home_url() ; ?>/wp-admin/">
										<?php 
                                            global $current_user;
                                            echo $current_user->display_name;
                                        ?>
                                	</a>
                                </li>
                            <?php } else { ?>
									<script>
                                    $(document).ready(function() {
                                        $('form[id=login_frm]').submit(function(){
                                            if ( $("#log").val() == "" || $("#pwd").val() == "" ) {
                                                $("#login_msg").html("Empty User name or pwd");
                                                return false;
                                            }
                                            else return true;
                                        });
                                    });
                                    </script>                            
                                <li><a href="javascript:cs_amimate('login-box')">LOG IN</a></li>
                                <div id="login-box">
                                    <ul>
                                        <form action="<?php echo home_url(); ?>/wp-login.php" method="post">
                                            <li><h4 class="white">User Login</h4></li>
                                            <li>
                                                <input name="log" onfocus="if(this.value=='yourname@email.com') {this.value='';}"
                                                onblur="if(this.value=='') {this.value='yourname@email.com';}" id="user_login" type="text" class="bar" />
                                            </li>
                                            <li>
                                                <input name="pwd" value="password"
                                                onfocus="if(this.value=='password') {this.value='';}"
                                                onblur="if(this.value=='') {this.value='password';}" type="password" class="bar" />
                                            </li>
                                            <li>
                                                <input type="hidden" name="redirect_to" value="http://<?php echo $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']?>" />                                        
                                                <input name="rememberme" value="forever" id="rememberme" type="checkbox" class="left" />
                                                <p>Remember me</p>
                                            </li>
                                            <li>
                                                <button name="submit" class="backcolr">Login</button>
                                            </li>
                                        </form>
                                    </ul>
                                    <div class="forgot">
                                        <a href="<?php echo home_url() ; ?>/wp-login.php?action=lostpassword">Forget Password?</a>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            <?php }?>
                            
                       
							<?php
                            if ( get_option("users_can_register") == 1 and !is_user_logged_in() ) {
                            ?>
		                        <li><a href="<?php echo home_url() ; ?>/wp-login.php?action=register">Signup</a></li>
							<?php
							}
                            ?>
                        <li>
                        	<a href="javascript:cs_amimate('search-box')">Search</a>
                            <div id="search-box">
                            <form method="get" action="" id="searchform">
                                <input name="s" id="s" value="Enter any keyword"
                                onfocus="if(this.value=='Enter any keyword') {this.value='';}"
                                onblur="if(this.value=='') {this.value='Enter any keyword';}" type="text" class="bar" />
                                <button id="searchsubmit" name="" class="backcolr">Search</button>
                            </form>
                            </div>
                        </li>
                    </ul>
                    <div class="clear"></div>
                    <!-- Top Links End -->
                    <!-- Navigation Start -->
                    <div class="navigation">
                    	<script>
							jQuery(document).ready(function($){	
								/* prepend menu icon */
								$('#smoothmenu1').prepend('<div id="menu-icon"><div>Menu<span>&nbsp;</span></div></div>');
								
								/* toggle nav */
								$("#menu-icon").on("click", function(){
									$("#menu-main-menu").toggle();
									//$(this).toggleClass("active");
								});
							});
                        </script>
                        <div id="smoothmenu1" class="ddsmoothmenu">
							<?php 
								// Menu parameters		
								$defaults = array(
								  'theme_location'  => 'top-menu',
								  'menu'            => '', 
								  'container'       => '', 
								  'container_class' => 'menu-{menu slug}-container', 
								  'container_id'    => '',
								  'menu_class'      => '', 
								  'menu_id'         => '',
								  'echo'            => true,
								  'fallback_cb'     => 'wp_page_menu',
								  'before'          => '',
								  'after'           => '',
								  'link_before'     => '',
								  'link_after'      => '',
								  'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
								  'depth'           => 0,
								  'walker'          => '',);				
								wp_nav_menu( $defaults); 
							?>
                        	<div class="clear"></div>
                        </div>
                    </div>
                    <!-- Navigation End -->
                    <div class="clear"></div>
                </div>
            </div>
            <!-- Container End -->
        </div>
        <!-- Header End -->
        <div class="clear"></div>
<?php 
if(is_front_page() or is_home()){
	$show_slider = "";
	$cs_home_page_slider = get_option("cs_home_page_slider");
	if ( $cs_home_page_slider <> "" ) {
		$xmlObject = new SimpleXMLElement($cs_home_page_slider);
			$show_slider = $xmlObject->show_slider;
			$node->slider_type = $xmlObject->slider_type;
			$node->slider = $xmlObject->slider_id;
	}
?>
<div class="inner shadow">
  	<!-- Banner Start -->
        <?php
        if ($show_slider == 'on') {
			$counter_gal = 1;
			$node->width = 980;
			$node->height = 418;
		?>               	
		    <div class="banner row">
                <?php include("page_slider.php")?>
			</div>
		<?php }?>
        <div class="container hidemobile">
			<?php
                // Home Page Sidebar
                if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('homepage-sidebar') ) : endif;
            ?>
        </div>
        <div class="clear"></div>
<?php } ?>